librte_ethdev.so.21 librte-ethdev21 #MINVER#
 DPDK_21@DPDK_21 20.11
 EXPERIMENTAL@EXPERIMENTAL 17.11
 INTERNAL@INTERNAL 20.08
 __rte_ethdev_trace_close@EXPERIMENTAL 20.08
 __rte_ethdev_trace_configure@EXPERIMENTAL 20.08
 __rte_ethdev_trace_rx_burst@EXPERIMENTAL 20.08
 __rte_ethdev_trace_rxq_setup@EXPERIMENTAL 20.08
 __rte_ethdev_trace_start@EXPERIMENTAL 20.08
 __rte_ethdev_trace_stop@EXPERIMENTAL 20.08
 __rte_ethdev_trace_tx_burst@EXPERIMENTAL 20.08
 __rte_ethdev_trace_txq_setup@EXPERIMENTAL 20.08
 rte_eth_add_first_rx_callback@DPDK_21 20.11
 rte_eth_add_rx_callback@DPDK_21 20.11
 rte_eth_add_tx_callback@DPDK_21 20.11
 rte_eth_allmulticast_disable@DPDK_21 20.11
 rte_eth_allmulticast_enable@DPDK_21 20.11
 rte_eth_allmulticast_get@DPDK_21 20.11
 rte_eth_dev_adjust_nb_rx_tx_desc@DPDK_21 20.11
 rte_eth_dev_allocate@INTERNAL 20.11
 rte_eth_dev_allocated@INTERNAL 20.11
 rte_eth_dev_attach_secondary@INTERNAL 20.11
 rte_eth_dev_callback_process@INTERNAL 20.11
 rte_eth_dev_callback_register@DPDK_21 20.11
 rte_eth_dev_callback_unregister@DPDK_21 20.11
 rte_eth_dev_close@DPDK_21 20.11
 rte_eth_dev_configure@DPDK_21 20.11
 rte_eth_dev_count_avail@DPDK_21 20.11
 rte_eth_dev_count_total@DPDK_21 20.11
 rte_eth_dev_create@INTERNAL 20.11
 rte_eth_dev_default_mac_addr_set@DPDK_21 20.11
 rte_eth_dev_destroy@INTERNAL 20.11
 rte_eth_dev_flow_ctrl_get@DPDK_21 20.11
 rte_eth_dev_flow_ctrl_set@DPDK_21 20.11
 rte_eth_dev_fw_version_get@DPDK_21 20.11
 rte_eth_dev_get_by_name@INTERNAL 20.11.5
 rte_eth_dev_get_dcb_info@DPDK_21 20.11
 rte_eth_dev_get_eeprom@DPDK_21 20.11
 rte_eth_dev_get_eeprom_length@DPDK_21 20.11
 rte_eth_dev_get_module_eeprom@EXPERIMENTAL 18.05
 rte_eth_dev_get_module_info@EXPERIMENTAL 18.05
 rte_eth_dev_get_mtu@DPDK_21 20.11
 rte_eth_dev_get_name_by_port@DPDK_21 20.11
 rte_eth_dev_get_port_by_name@DPDK_21 20.11
 rte_eth_dev_get_reg_info@DPDK_21 20.11
 rte_eth_dev_get_sec_ctx@DPDK_21 20.11
 rte_eth_dev_get_supported_ptypes@DPDK_21 20.11
 rte_eth_dev_get_vlan_offload@DPDK_21 20.11
 rte_eth_dev_hairpin_capability_get@EXPERIMENTAL 19.11
 rte_eth_dev_info_get@DPDK_21 20.11
 rte_eth_dev_internal_reset@INTERNAL 20.11
 rte_eth_dev_is_removed@EXPERIMENTAL 18.02
 rte_eth_dev_is_rx_hairpin_queue@INTERNAL 20.11
 rte_eth_dev_is_tx_hairpin_queue@INTERNAL 20.11
 rte_eth_dev_is_valid_port@DPDK_21 20.11
 rte_eth_dev_logtype@DPDK_21 20.11
 rte_eth_dev_mac_addr_add@DPDK_21 20.11
 rte_eth_dev_mac_addr_remove@DPDK_21 20.11
 rte_eth_dev_owner_delete@EXPERIMENTAL 18.02
 rte_eth_dev_owner_get@EXPERIMENTAL 18.02
 rte_eth_dev_owner_new@EXPERIMENTAL 18.02
 rte_eth_dev_owner_set@EXPERIMENTAL 18.02
 rte_eth_dev_owner_unset@EXPERIMENTAL 18.02
 rte_eth_dev_pool_ops_supported@DPDK_21 20.11
 rte_eth_dev_priority_flow_ctrl_set@DPDK_21 20.11
 rte_eth_dev_probing_finish@INTERNAL 20.11
 rte_eth_dev_release_port@INTERNAL 20.11
 rte_eth_dev_reset@DPDK_21 20.11
 rte_eth_dev_rss_hash_conf_get@DPDK_21 20.11
 rte_eth_dev_rss_hash_update@DPDK_21 20.11
 rte_eth_dev_rss_reta_query@DPDK_21 20.11
 rte_eth_dev_rss_reta_update@DPDK_21 20.11
 rte_eth_dev_rx_intr_ctl@DPDK_21 20.11
 rte_eth_dev_rx_intr_ctl_q@DPDK_21 20.11
 rte_eth_dev_rx_intr_ctl_q_get_fd@EXPERIMENTAL 18.11
 rte_eth_dev_rx_intr_disable@DPDK_21 20.11
 rte_eth_dev_rx_intr_enable@DPDK_21 20.11
 rte_eth_dev_rx_offload_name@DPDK_21 20.11
 rte_eth_dev_rx_queue_start@DPDK_21 20.11
 rte_eth_dev_rx_queue_stop@DPDK_21 20.11
 rte_eth_dev_set_eeprom@DPDK_21 20.11
 rte_eth_dev_set_link_down@DPDK_21 20.11
 rte_eth_dev_set_link_up@DPDK_21 20.11
 rte_eth_dev_set_mc_addr_list@DPDK_21 20.11
 rte_eth_dev_set_mtu@DPDK_21 20.11
 rte_eth_dev_set_ptypes@EXPERIMENTAL 19.11
 rte_eth_dev_set_rx_queue_stats_mapping@DPDK_21 20.11
 rte_eth_dev_set_tx_queue_stats_mapping@DPDK_21 20.11
 rte_eth_dev_set_vlan_ether_type@DPDK_21 20.11
 rte_eth_dev_set_vlan_offload@DPDK_21 20.11
 rte_eth_dev_set_vlan_pvid@DPDK_21 20.11
 rte_eth_dev_set_vlan_strip_on_queue@DPDK_21 20.11
 rte_eth_dev_socket_id@DPDK_21 20.11
 rte_eth_dev_start@DPDK_21 20.11
 rte_eth_dev_stop@DPDK_21 20.11
 rte_eth_dev_tx_offload_name@DPDK_21 20.11
 rte_eth_dev_tx_queue_start@DPDK_21 20.11
 rte_eth_dev_tx_queue_stop@DPDK_21 20.11
 rte_eth_dev_uc_all_hash_table_set@DPDK_21 20.11
 rte_eth_dev_uc_hash_table_set@DPDK_21 20.11
 rte_eth_dev_udp_tunnel_port_add@DPDK_21 20.11
 rte_eth_dev_udp_tunnel_port_delete@DPDK_21 20.11
 rte_eth_dev_vlan_filter@DPDK_21 20.11
 rte_eth_devargs_parse@INTERNAL 20.11
 rte_eth_devices@DPDK_21 20.11
 rte_eth_dma_zone_free@INTERNAL 20.08
 rte_eth_dma_zone_reserve@INTERNAL 20.11
 rte_eth_fec_get@EXPERIMENTAL 20.11
 rte_eth_fec_get_capability@EXPERIMENTAL 20.11
 rte_eth_fec_set@EXPERIMENTAL 20.11
 rte_eth_find_next@DPDK_21 20.11
 rte_eth_find_next_of@EXPERIMENTAL 19.08
 rte_eth_find_next_owned_by@DPDK_21 20.11
 rte_eth_find_next_sibling@EXPERIMENTAL 19.08
 rte_eth_hairpin_bind@EXPERIMENTAL 20.11
 rte_eth_hairpin_get_peer_ports@EXPERIMENTAL 20.11
 rte_eth_hairpin_queue_peer_bind@INTERNAL 20.11
 rte_eth_hairpin_queue_peer_unbind@INTERNAL 20.11
 rte_eth_hairpin_queue_peer_update@INTERNAL 20.11
 rte_eth_hairpin_unbind@EXPERIMENTAL 20.11
 rte_eth_iterator_cleanup@DPDK_21 20.11
 rte_eth_iterator_init@DPDK_21 20.11
 rte_eth_iterator_next@DPDK_21 20.11
 rte_eth_led_off@DPDK_21 20.11
 rte_eth_led_on@DPDK_21 20.11
 rte_eth_link_get@DPDK_21 20.11
 rte_eth_link_get_nowait@DPDK_21 20.11
 rte_eth_link_speed_to_str@EXPERIMENTAL 20.11
 rte_eth_link_to_str@EXPERIMENTAL 20.11
 rte_eth_macaddr_get@DPDK_21 20.11
 rte_eth_mirror_rule_reset@DPDK_21 20.11
 rte_eth_mirror_rule_set@DPDK_21 20.11
 rte_eth_promiscuous_disable@DPDK_21 20.11
 rte_eth_promiscuous_enable@DPDK_21 20.11
 rte_eth_promiscuous_get@DPDK_21 20.11
 rte_eth_read_clock@EXPERIMENTAL 19.08
 rte_eth_remove_rx_callback@DPDK_21 20.11
 rte_eth_remove_tx_callback@DPDK_21 20.11
 rte_eth_rx_burst_mode_get@EXPERIMENTAL 19.11
 rte_eth_rx_hairpin_queue_setup@EXPERIMENTAL 19.11
 rte_eth_rx_queue_info_get@DPDK_21 20.11
 rte_eth_rx_queue_setup@DPDK_21 20.11
 rte_eth_set_queue_rate_limit@DPDK_21 20.11
 rte_eth_speed_bitflag@DPDK_21 20.11
 rte_eth_stats_get@DPDK_21 20.11
 rte_eth_stats_reset@DPDK_21 20.11
 rte_eth_switch_domain_alloc@INTERNAL 20.11
 rte_eth_switch_domain_free@INTERNAL 20.11
 rte_eth_timesync_adjust_time@DPDK_21 20.11
 rte_eth_timesync_disable@DPDK_21 20.11
 rte_eth_timesync_enable@DPDK_21 20.11
 rte_eth_timesync_read_rx_timestamp@DPDK_21 20.11
 rte_eth_timesync_read_time@DPDK_21 20.11
 rte_eth_timesync_read_tx_timestamp@DPDK_21 20.11
 rte_eth_timesync_write_time@DPDK_21 20.11
 rte_eth_tx_buffer_count_callback@DPDK_21 20.11
 rte_eth_tx_buffer_drop_callback@DPDK_21 20.11
 rte_eth_tx_buffer_init@DPDK_21 20.11
 rte_eth_tx_buffer_set_err_callback@DPDK_21 20.11
 rte_eth_tx_burst_mode_get@EXPERIMENTAL 19.11
 rte_eth_tx_done_cleanup@DPDK_21 20.11
 rte_eth_tx_hairpin_queue_setup@EXPERIMENTAL 19.11
 rte_eth_tx_queue_info_get@DPDK_21 20.11
 rte_eth_tx_queue_setup@DPDK_21 20.11
 rte_eth_xstats_get@DPDK_21 20.11
 rte_eth_xstats_get_by_id@DPDK_21 20.11
 rte_eth_xstats_get_id_by_name@DPDK_21 20.11
 rte_eth_xstats_get_names@DPDK_21 20.11
 rte_eth_xstats_get_names_by_id@DPDK_21 20.11
 rte_eth_xstats_reset@DPDK_21 20.11
 rte_flow_conv@EXPERIMENTAL 18.11
 rte_flow_copy@DPDK_21 20.11
 rte_flow_create@DPDK_21 20.11
 rte_flow_destroy@DPDK_21 20.11
 rte_flow_dev_dump@EXPERIMENTAL 20.08
 rte_flow_dynf_metadata_mask@EXPERIMENTAL 19.11
 rte_flow_dynf_metadata_offs@EXPERIMENTAL 19.11
 rte_flow_dynf_metadata_register@EXPERIMENTAL 19.11
 rte_flow_error_set@DPDK_21 20.11
 rte_flow_flush@DPDK_21 20.11
 rte_flow_get_aged_flows@EXPERIMENTAL 20.08
 rte_flow_get_restore_info@EXPERIMENTAL 20.11
 rte_flow_isolate@DPDK_21 20.11
 rte_flow_query@DPDK_21 20.11
 rte_flow_shared_action_create@EXPERIMENTAL 20.11
 rte_flow_shared_action_destroy@EXPERIMENTAL 20.11
 rte_flow_shared_action_query@EXPERIMENTAL 20.11
 rte_flow_shared_action_update@EXPERIMENTAL 20.11
 rte_flow_tunnel_action_decap_release@EXPERIMENTAL 20.11
 rte_flow_tunnel_decap_set@EXPERIMENTAL 20.11
 rte_flow_tunnel_item_release@EXPERIMENTAL 20.11
 rte_flow_tunnel_match@EXPERIMENTAL 20.11
 rte_flow_validate@DPDK_21 20.11
 rte_mtr_capabilities_get@EXPERIMENTAL 17.11
 rte_mtr_create@EXPERIMENTAL 17.11
 rte_mtr_destroy@EXPERIMENTAL 17.11
 rte_mtr_meter_disable@EXPERIMENTAL 17.11
 rte_mtr_meter_dscp_table_update@EXPERIMENTAL 17.11
 rte_mtr_meter_enable@EXPERIMENTAL 17.11
 rte_mtr_meter_profile_add@EXPERIMENTAL 17.11
 rte_mtr_meter_profile_delete@EXPERIMENTAL 17.11
 rte_mtr_meter_profile_update@EXPERIMENTAL 17.11
 rte_mtr_policer_actions_update@EXPERIMENTAL 17.11
 rte_mtr_stats_read@EXPERIMENTAL 17.11
 rte_mtr_stats_update@EXPERIMENTAL 17.11
 rte_tm_capabilities_get@EXPERIMENTAL 20.11
 rte_tm_get_number_of_leaf_nodes@EXPERIMENTAL 20.11
 rte_tm_hierarchy_commit@EXPERIMENTAL 20.11
 rte_tm_level_capabilities_get@EXPERIMENTAL 20.11
 rte_tm_mark_ip_dscp@EXPERIMENTAL 20.11
 rte_tm_mark_ip_ecn@EXPERIMENTAL 20.11
 rte_tm_mark_vlan_dei@EXPERIMENTAL 20.11
 rte_tm_node_add@EXPERIMENTAL 20.11
 rte_tm_node_capabilities_get@EXPERIMENTAL 20.11
 rte_tm_node_cman_update@EXPERIMENTAL 20.11
 rte_tm_node_delete@EXPERIMENTAL 20.11
 rte_tm_node_parent_update@EXPERIMENTAL 20.11
 rte_tm_node_resume@EXPERIMENTAL 20.11
 rte_tm_node_shaper_update@EXPERIMENTAL 20.11
 rte_tm_node_shared_shaper_update@EXPERIMENTAL 20.11
 rte_tm_node_shared_wred_context_update@EXPERIMENTAL 20.11
 rte_tm_node_stats_read@EXPERIMENTAL 20.11
 rte_tm_node_stats_update@EXPERIMENTAL 20.11
 rte_tm_node_suspend@EXPERIMENTAL 20.11
 rte_tm_node_type_get@EXPERIMENTAL 20.11
 rte_tm_node_wfq_weight_mode_update@EXPERIMENTAL 20.11
 rte_tm_node_wred_context_update@EXPERIMENTAL 20.11
 rte_tm_shaper_profile_add@EXPERIMENTAL 20.11
 rte_tm_shaper_profile_delete@EXPERIMENTAL 20.11
 rte_tm_shared_shaper_add_update@EXPERIMENTAL 20.11
 rte_tm_shared_shaper_delete@EXPERIMENTAL 20.11
 rte_tm_shared_wred_context_add_update@EXPERIMENTAL 20.11
 rte_tm_shared_wred_context_delete@EXPERIMENTAL 20.11
 rte_tm_wred_profile_add@EXPERIMENTAL 20.11
 rte_tm_wred_profile_delete@EXPERIMENTAL 20.11
